Bug 1758250 - Unable to sync the contents due to an error - PG::ProtocolViolation: ERROR: invalid message format
Summary: Unable to sync the contents due to an error - PG::ProtocolViolation: ERROR: ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.5.0
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: 6.7.0
Assignee: Justin Sherrill
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-03 16:50 UTC by Bharati Kailas Shahu
Modified: 2020-10-05 07:14 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-katello-3.13.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1791493 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:26:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
6.5 patch (691 bytes, text/plain)
2019-11-21 15:25 UTC, Justin Sherrill
no flags Details
6.6 patch (525 bytes, patch)
2019-11-21 15:27 UTC, Justin Sherrill
no flags Details | Diff
hotfix RPM for Satellite 6.6.0 (15.66 MB, application/x-rpm)
2019-11-22 00:48 UTC, wclark
no flags Details
Screenshot (89.40 KB, application/gzip)
2019-11-25 06:10 UTC, vijsingh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4587721 None None None 2019-11-14 16:49:08 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:11 UTC

Description Bharati Kailas Shahu 2019-10-03 16:50:20 UTC
Description of problem:
While sync the repository facing error PG::ProtocolViolation: ERROR:  invalid message format

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a file type repo based on ch14.2:

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5/html-single/content_management_guide/index#Importing_Custom_Content-Creating_a_Custom_File_Type_Repository_Local_Directory


// Created just under 65533 tiny files in a repo.  
# for i in {1..65533}; do echo "$i" > myrepolocation/$i.txt; done

// Created a new manifest.
# pulp-manifest myrepolocation



2. Initiate the Sync from the "Select Action" button of the repo page
  
 After a while, the same error appears.   We've hit the same error in other situations where the postgres query using "WHERE" could not handle that large number of parameters  

Actual results:
Showing error PG::ProtocolViolation: ERROR:  invalid message format

Expected results:
Sync should be successful.

Comment 5 Justin Sherrill 2019-11-21 15:24:31 UTC
This was actually fixed upstream as part of https://github.com/Katello/katello/pull/8171, but was included with a bunch of other stuff that isn't relevant for sat 6.5 and 6.6.  I'll attach a patch for 6.5 and 6.6.

Comment 6 Justin Sherrill 2019-11-21 15:25:33 UTC
Created attachment 1638500 [details]
6.5 patch

Comment 7 Justin Sherrill 2019-11-21 15:27:30 UTC
Created attachment 1638501 [details]
6.6 patch

Comment 8 Dylan Gross 2019-11-21 18:54:19 UTC
I was able to test the 6.6 patch on my lab satellite where I was reproducing the error consistently.
After applying the patch, I can now successfully sync a file repo with 70,000 files in it.

Comment 9 wclark 2019-11-22 00:48:56 UTC
Created attachment 1638604 [details]
hotfix RPM for Satellite 6.6.0

Comment 10 wclark 2019-11-22 00:53:22 UTC
Hotfix RPM is available for Satellite 6.6.0. To install it:

1. Take a snapshot or complete backup of your Satellite server

2. Download attached file tfm-rubygem-katello-3.12.0.29-2.HOTFIXRHBZ1758250.el7sat.noarch.rpm and copy it to Satellite server

3. # yum install tfm-rubygem-katello-3.12.0.29-2.HOTFIXRHBZ1758250.el7sat.noarch.rpm

4. # systemctl restart httpd

Comment 13 vijsingh 2019-11-25 06:09:03 UTC
ON_QA Verified

@Satellite 6.7.0 Snap 3,0

Steps/Observation:

1.  Created a file type repo based on ch14.2:

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5/html-single/content_management_guide/index#Importing_Custom_Content-Creating_a_Custom_File_Type_Repository_Local_Directory


 // Created just under 65533 tiny files in a repo.  
 // Created a new manifest.
 # pulp-manifest myrepolocation

2. Initiate the Sync from the "Select Action" button of the repo page
3. Repo sync was successfully completed .
4. Tried with files '130001' as well and repo sync completed successfully.
5. Attached screenshots for reference .

Comment 14 vijsingh 2019-11-25 06:10:22 UTC
Created attachment 1639346 [details]
Screenshot

Comment 21 errata-xmlrpc 2020-04-14 13:26:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.